Skip to main content
DELETE
/
directory
/
chat-ops-onboarding-users
Remove users from chat ops onboarding
curl --request DELETE \
  --url https://api.wirespeed.co/directory/chat-ops-onboarding-users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "size": 123,
  "page": 123,
  "filter": "email",
  "search": "<string>",
  "orderBy": "<string>",
  "orderDir": "asc",
  "teamId": "<string>",
  "groups": [
    "VIP"
  ],
  "ipId": "<string>",
  "endpointId": "<string>",
  "endpointPrivateIpId": "<string>",
  "userAgentId": "<string>",
  "showUnmanagedUsers": true,
  "onlyEnabled": true,
  "onlyDisabled": true,
  "onlyContained": true,
  "onlyChatOpsOnboardingUsers": true,
  "onlyBillable": true,
  "integrationIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "groupIds": [
    "<string>"
  ],
  "groupFilterOperator": "and"
}
'
{
  "data": [
    {
      "id": "<string>",
      "displayName": "<string>",
      "teamId": "<string>",
      "additionalEmails": [
        "<string>"
      ],
      "allEmails": [
        "<string>"
      ],
      "createdAt": "<string>",
      "integrationId": {},
      "roles": [
        "<string>"
      ],
      "credentialsExposed": true,
      "numberCredentialExposures": 123,
      "containable": true,
      "smsInviteAttempts": 123,
      "groups": [
        {
          "id": "<string>",
          "directoryUserId": "<string>",
          "group": "<string>",
          "teamId": "<string>",
          "overriddenByUser": true,
          "overriddenByUserId": "<string>",
          "overriddenByUserIdentifier": "<string>",
          "enabled": true,
          "createdAt": "<string>",
          "groupId": "<string>",
          "groupName": "<string>",
          "groupSlug": "<string>",
          "groupContainmentEnabled": true,
          "groupChatOpsEnabled": true,
          "groupRuleSearch": "<string>",
          "groupRuleSearchField": "<string>"
        }
      ],
      "groupContainmentEnabled": true,
      "groupChatOpsEnabled": true,
      "groupsSynced": true,
      "enabled": true,
      "directoryId": "<string>",
      "name": "<string>",
      "phoneNumber": "<string>",
      "previousPhoneNumber": "<string>",
      "title": "<string>",
      "email": "<string>",
      "vip": true,
      "nhi": true,
      "financial": true,
      "technical": true,
      "external": true,
      "managerDirectoryId": "<string>",
      "managerEmail": "<string>",
      "domain": "<string>",
      "department": "<string>",
      "lastCredentialExposure": {},
      "lastCheckedForCredentialExposures": {},
      "needsChatOpsWelcome": true,
      "contained": true,
      "username": "<string>",
      "smsConsentReceivedAt": {},
      "smsInviteLastSentAt": {},
      "smsInviteOptOut": true,
      "administrator": true,
      "updatedAt": "<string>",
      "passwordLastChangedAt": "<string>",
      "lastSignInAt": "<string>",
      "raw": {},
      "managed": true,
      "chatOpsOnboardingUser": true,
      "verifiedPhoneNumber": "<string>",
      "emailDirection": "sender",
      "integrationPlatform": "aws",
      "teamName": {}
    }
  ],
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
size
number
page
number
filter
enum<string>

Field to filter directory users by

Available options:
email,
name,
username,
title,
department,
role
orderBy
string
orderDir
enum<string>
Available options:
asc,
desc
teamId
string

Filter users by team ID (for service providers)

groups
enum<string>[]

Filter users by groups

Available options:
VIP,
ADMIN,
EXTERNAL,
TECHNICAL,
FINANCIAL,
NHI
ipId
string

Filter users associated with specific IP address

endpointId
string

Filter users associated with specific endpoint

endpointPrivateIpId
string

Filter users associated with endpoints that have this private IP address

userAgentId
string

Filter users associated with specific user agent

showUnmanagedUsers
boolean

Include unmanaged users in results

onlyEnabled
boolean

Only include users that are enabled

onlyDisabled
boolean

Only include users that are disabled

onlyContained
boolean

Only include users that are contained

onlyChatOpsOnboardingUsers
boolean

Only include users that are in the chat ops onboarding group

onlyBillable
boolean

Only include billable users

integrationIds
string<uuid>[]

Filter users by integration IDs (sources)

groupIds
string[]

Filter users by group IDs (supports multiple)

groupFilterOperator
enum<string>

Operator for combining multiple group filters. "and" = must be in ALL groups, "or" = must be in ANY group. Defaults to "or".

Available options:
and,
or

Response

data
object[]
required

Array of directory user search results

totalCount
number
required

Total count of directory users matching the search criteria